- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_SCIOP_Transport Class Reference

Specialization of the base TAO_Transport class to handle the SCIOP protocol. More...

`#include <SCIOP_Transport.h>`

Inheritance diagram for TAO_SCIOP_Transport:

[legend]
Collaboration diagram for TAO_SCIOP_Transport:

[legend]
List of all members.

## Overridden Template Methods
Please check the documentation in "tao/Transport.h" for more details.
virtual int | send_request (TAO_Stub *stub, TAO_ORB_Core *orb_core, TAO_OutputCDR &association, int message_semantics, ACE_Time_Value *max_wait_time)
virtual int | send_message (TAO_OutputCDR &association, TAO_Stub *stub=0, int message_semantics=TAO_Transport::TAO_TWOWAY_REQUEST, ACE_Time_Value *max_time_wait=0)
virtual int | generate_request_header (TAO_Operation_Details &opdetails, TAO_Target_Specification &spec, TAO_OutputCDR &msg)
virtual int | messaging_init (CORBA::Octet major, CORBA::Octet minor)
virtual int | tear_listen_point_list (TAO_InputCDR &cdr)
virtual TAO_Connection_Handler * | connection_handler_i (void)
virtual ACE_Event_Handler * | event_handler_i (void)
virtual TAO_Pluggable_Messaging * | messaging_object (void)
| Access the underlying messaging object.
virtual ssize_t | send (iovec *iov, int iovcnt, size_t &bytes_transferred, const ACE_Time_Value *timeout=0)
virtual ssize_t | recv (char *buf, size_t len, const ACE_Time_Value *s=0)
virtual int | send_message_shared (TAO_Stub *stub, int message_semantics, const ACE_Message_Block *message_block, ACE_Time_Value *max_wait_time)
## Public Member Functions
| TAO_SCIOP_Transport (TAO_SCIOP_Connection_Handler *handler, TAO_ORB_Core *orb_core, CORBA::Boolean flag)
| Constructor.
## Protected Member Functions
virtual | ~TAO_SCIOP_Transport (void)
| Destructor.
## Private Member Functions
void | set_bidir_context_info (TAO_Operation_Details &opdetails)
| Set the Bidirectional context info in the service context list.
int | get_listen_point (IIOP::ListenPointList &listen_point_list, TAO_Acceptor *acceptor)
## Private Attributes
TAO_SCIOP_Connection_Handler * | connection_handler_
TAO_Pluggable_Messaging * | messaging_object_
| Our messaging object.

## Detailed Description

Specialization of the base TAO_Transport class to handle the SCIOP protocol.

Specialization of the base TAO_Transport class to handle the SCIOP protocol.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_SCIOP_Transport::TAO_SCIOP_Transport | ( | TAO_SCIOP_Connection_Handler * | handler,
|  | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag |
| ) |  |  |

Constructor.

TAO_SCIOP_Transport::~TAO_SCIOP_Transport | ( | void |  | ) | `[protected, virtual]`

Destructor.

Protected destructor to enforce proper memory management through the reference counting mechanism.

## Member Function Documentation

TAO_Connection_Handler * TAO_SCIOP_Transport::connection_handler_i | ( | void |  | ) | `[virtual]`

Todo:
  These methods IMHO should have more meaningful names. The names seem to indicate nothing.

Implements TAO_Transport.

ACE_Event_Handler * TAO_SCIOP_Transport::event_handler_i | ( | void |  | ) | `[protected, virtual]`

Todo:
  These methods IMHO should have more meaningful names. The names seem to indicate nothing.

Implements TAO_Transport.

int TAO_SCIOP_Transport::generate_request_header | ( | TAO_Operation_Details & | opdetails,
|  | TAO_Target_Specification & | spec,
|  | TAO_OutputCDR & | msg |
| ) |  |  | `[virtual]`

Todo:
  These methods IMHO should have more meaningful names. The names seem to indicate nothing.

Reimplemented from TAO_Transport.

int TAO_SCIOP_Transport::get_listen_point | ( | IIOP::ListenPointList & | listen_point_list,
|  | TAO_Acceptor * | acceptor |
| ) |  |  | `[private]`

Add the listen points in <acceptor> to the <listen_point_list> if this connection is in the same interface as that of the endpoints in the <acceptor>

int TAO_SCIOP_Transport::messaging_init | ( | CORBA::Octet | major,
|  | CORBA::Octet | minor |
| ) |  |  | `[virtual]`

Todo:
  These methods IMHO should have more meaningful names. The names seem to indicate nothing.

Implements TAO_Transport.

TAO_Pluggable_Messaging * TAO_SCIOP_Transport::messaging_object | ( | void |  | ) | `[protected, virtual]`

Access the underlying messaging object.

Implements TAO_Transport.

ssize_t TAO_SCIOP_Transport::recv | ( | char * | buf,
|  | size_t | len,
|  | const ACE_Time_Value * | s = `0` |
| ) |  |  | `[protected, virtual]`

Todo:
  These methods IMHO should have more meaningful names. The names seem to indicate nothing.

Implements TAO_Transport.

ssize_t TAO_SCIOP_Transport::send | ( | iovec * | iov,
|  | int | iovcnt,
|  | size_t & | bytes_transferred,
|  | const ACE_Time_Value * | timeout = `0` |
| ) |  |  | `[protected, virtual]`

Todo:
  These methods IMHO should have more meaningful names. The names seem to indicate nothing.

Implements TAO_Transport.

int TAO_SCIOP_Transport::send_message | ( | TAO_OutputCDR & | association,
|  | TAO_Stub * | stub = `0`,
|  | int | message_semantics = `TAO_Transport::TAO_TWOWAY_REQUEST`,
|  | ACE_Time_Value * | max_time_wait = `0` |
| ) |  |  | `[virtual]`

Todo:
  These methods IMHO should have more meaningful names. The names seem to indicate nothing.

Implements TAO_Transport.

int TAO_SCIOP_Transport::send_message_shared | ( | TAO_Stub * | stub,
|  | int | message_semantics,
|  | const ACE_Message_Block * | message_block,
|  | ACE_Time_Value * | max_wait_time |
| ) |  |  | `[protected, virtual]`

Todo:
  These methods IMHO should have more meaningful names. The names seem to indicate nothing.

Reimplemented from TAO_Transport.

int TAO_SCIOP_Transport::send_request | ( | TAO_Stub * | stub,
|  | TAO_ORB_Core * | orb_core,
|  | TAO_OutputCDR & | association,
|  | int | message_semantics,
|  | ACE_Time_Value * | max_wait_time |
| ) |  |  | `[virtual]`

Todo:
  These methods IMHO should have more meaningful names. The names seem to indicate nothing.

Implements TAO_Transport.

void TAO_SCIOP_Transport::set_bidir_context_info | ( | TAO_Operation_Details & | opdetails | ) | `[private]`

Set the Bidirectional context info in the service context list.

int TAO_SCIOP_Transport::tear_listen_point_list | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

Todo:
  These methods IMHO should have more meaningful names. The names seem to indicate nothing.

Reimplemented from TAO_Transport.

## Member Data Documentation

TAO_SCIOP_Connection_Handler* TAO_SCIOP_Transport::connection_handler_`[private]`

The connection service handler used for accessing lower layer communication protocols.

TAO_Pluggable_Messaging* TAO_SCIOP_Transport::messaging_object_`[private]`

Our messaging object.

The documentation for this class was generated from the following files:

- SCIOP_Transport.h
- SCIOP_Transport.cpp